Get a request
curl --request GET \
--url https://app.simpledocs.com/api/v1/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "mN3kYq",
"type": "legal_request",
"attributes": {
"name": "Vendor Agreement — Acme Corp",
"description": "<string>",
"status": "initial_review"
}
}
}
Requests
Get a request
Retrieve a single legal request by its hash ID.
Get a request
curl --request GET \
--url https://app.simpledocs.com/api/v1/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.simpledocs.com/api/v1/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.simpledocs.com/api/v1/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "mN3kYq",
"type": "legal_request",
"attributes": {
"name": "Vendor Agreement — Acme Corp",
"description": "<string>",
"status": "initial_review"
}
}
}
Authorizations
Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.
Path Parameters
The resource's hash ID.
Example:
"0dbhXg"
Response
The request.
Show child attributes
Show child attributes